dnl mingw32.m4 -- M4 directives for enabling MinGW cross windows compile
dnl
dnl   Copyright (c) 2005 - 2011 by Thanos Kyritsis
dnl
dnl   This file is part of ffpocket
dnl
dnl   FFpocket is free software; you can redistribute it and/or modify
dnl   it under the terms of the GNU General Public License as published by
dnl   the Free Software Foundation, version 2 of the License.
dnl
dnl   FFpocket is distributed in the hope that it will be useful,
dnl   but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl   GNU General Public License for more details.
dnl
dnl   You should have received a copy of the GNU General Public License
dnl   along with FFpocket; if not, write to the Free Software
dnl   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
dnl
dnl

AC_DEFUN([FFPOCKET_MINGW32],
[AC_ARG_ENABLE(mingw32,
AS_HELP_STRING([--enable-mingw32],[enable MinGW cross Windows compile]),
[
FCOPTS="--disable-debug --enable-gpl --disable-ffmpeg --disable-ffserver --disable-ffplay --disable-ffprobe --disable-devices --disable-encoders --enable-encoder=pcm_s16le --enable-encoder=pcm_s16be --disable-muxers --enable-muxer=wav --disable-network --disable-libdc1394 --disable-doc --arch=x86 --enable-cross-compile --enable-shared --cross-prefix=$host_alias- --enable-memalign-hack --target-os=mingw32"
AC_DEFINE_UNQUOTED([FCOPTS], ["$FCOPTS"], [Define FFmpeg configuration options])
AC_SUBST(FCOPTS, [$FCOPTS])
],
[
FCOPTS="--disable-debug --enable-gpl --disable-ffmpeg --disable-ffserver --disable-ffplay --disable-ffprobe --disable-devices --disable-encoders --enable-encoder=pcm_s16le --enable-encoder=pcm_s16be --disable-muxers --enable-muxer=wav --disable-network --disable-libdc1394 --disable-doc"
AC_DEFINE_UNQUOTED([FCOPTS], ["$FCOPTS"], [Define FFmpeg configuration options])
AC_SUBST(FCOPTS, [$FCOPTS])
]
)
AM_CONDITIONAL(MINGW32, test "${enable_mingw32}" = "yes")
])
